<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:id="@+id/ll_placeholder"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:layout_marginRight="@dimen/d_10dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_20dp"
                android:layout_marginTop="@dimen/d_15dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_25dp"
                    android:layout_height="@dimen/d_25dp"
                    android:background="@drawable/shimmer_circle_background" />

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginLeft="@dimen/d_10dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_20dp"
                android:layout_marginTop="@dimen/d_15dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_25dp"
                    android:layout_height="@dimen/d_25dp"
                    android:background="@drawable/shimmer_circle_background" />

                <View
                    android:layout_width="@dimen/d_120dp"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginLeft="@dimen/d_10dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_20dp"
                android:layout_marginTop="@dimen/d_15dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_25dp"
                    android:layout_height="@dimen/d_25dp"
                    android:background="@drawable/shimmer_circle_background" />

                <View
                    android:layout_width="@dimen/d_150dp"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginLeft="@dimen/d_10dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_80dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <View
            android:layout_width="@dimen/d_80dp"
            android:layout_height="@dimen/d_80dp"
            android:layout_alignParentRight="true"
            android:layout_marginTop="@dimen/d_30dp"
            android:layout_marginRight="@dimen/d_20dp"
            android:background="@drawable/shimmer_circle_background" />

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_marginTop="@dimen/d_15dp"
        android:layout_marginRight="@dimen/d_10dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_15dp"
                android:layout_height="@dimen/d_15dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="100dp"
                android:layout_height="@dimen/d_15dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_80dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <View
                android:layout_width="@dimen/d_80dp"
                android:layout_height="@dimen/d_35dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:background="@drawable/shimmer_bg_rounded_corners5" />

        </LinearLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:layout_marginRight="@dimen/d_80dp"
            android:background="@color/shimmer_background_color" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_marginTop="@dimen/d_15dp"
        android:layout_marginRight="@dimen/d_10dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_15dp"
                android:layout_height="@dimen/d_15dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="100dp"
                android:layout_height="@dimen/d_15dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_80dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_120dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_150dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:layout_marginRight="@dimen/d_80dp"
            android:background="@color/shimmer_background_color" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_marginTop="@dimen/d_15dp"
        android:layout_marginRight="@dimen/d_10dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_15dp"
                android:layout_height="@dimen/d_15dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="100dp"
                android:layout_height="@dimen/d_15dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_80dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_120dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <View
                android:layout_width="@dimen/d_25dp"
                android:layout_height="@dimen/d_25dp"
                android:background="@drawable/shimmer_circle_background" />

            <View
                android:layout_width="@dimen/d_150dp"
                android:layout_height="@dimen/d_20dp"
                android:layout_marginLeft="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_20dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:layout_marginRight="@dimen/d_80dp"
            android:background="@color/shimmer_background_color" />

    </LinearLayout>

</LinearLayout>

